List Disks
curl --request GET \
--url https://api.primeintellect.ai/api/v1/disks/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.primeintellect.ai/api/v1/disks/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.primeintellect.ai/api/v1/disks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "<string>",
"userId": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"terminatedAt": "2023-11-07T05:31:56Z",
"status": "PROVISIONING",
"size": 0,
"info": {},
"priceHr": 123,
"stoppedPriceHr": 123,
"provisioningPriceHr": 0,
"teamId": "<string>",
"walletId": "<string>",
"pods": [],
"clusters": []
}
],
"total_count": 0,
"offset": 0,
"limit": 100,
"status": "<string>"
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}Disks
List Disks
GET
/
api
/
v1
/
disks
/
List Disks
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Show child attributes
Show child attributes
Total number of items available in the dataset
Number of items to skip before starting to collect the result set
Required range:
x >= 0Maximum number of items to return
Required range:
x >= 0Response status
Was this page helpful?
⌘I